#ifndef SNAVERCAFEMANAGE_H
#define SNAVERCAFEMANAGE_H
#include "smanage.h"

class SNaverCafeManage : public SManage
{
public:
    enum E_PROCESS_STATE
    {
        E_PROCESS_LIST_RUN = 0,
        E_PROCESS_LIST_FINISH_WAIT,
        E_PROCESS_URL_RUN,
        E_PROCESS_URL_FINISH_WAIT,
    };
    SNaverCafeManage(QObject *pObject);    
private:
    QString makeGetListQuery(QString _str,QDate _date,int _nPage);    
private:
    QString m_strListQuery;
    QVector <QString> m_strListURL;
protected:
    bool Update();
    void Start();
    void processFinished(QProcess *pPro,QString _strOut);
    void ReLoadList();
};

#endif // SNAVERCAFEMANAGE_H
